{% from "macros.html" import error_alert, upload_master_dialog, render_upload_master_dialog %}
{{ error_alert() }}
<div class="row-fluid">
  <div class="span12">
    <h3 class="comp-title">
      <span class="pull-left">Costing</span>
      {{ upload_master_dialog('Product Codes') }}
      <div class="clearfix"></div>
    </h3>
  </div>
</div>
<div class="row-fluid">
  <div class="span12">
    <form id="psearch" action="#" class="form-inline">
      <div class="row-fluid search-fields">
        <div class="span10 pull-left">
          <input name="pc" class="span2" type="text" placeholder="Product Code" value="{{ product_code }}">
          <button type="submit" class="btn" id="psearchBtn" data-loading-text="Searching...">
            <i class="icon-search"></i>&nbsp;<span class="hidden-phone">Search</span></button>
        </div>
        <div class="clearfix"></div>
      </div>
    </form>
  </div>
</div>
<script type="text/javascript">
  setupCostingStep1Screen();
</script>
<!-- Upload Modal box -->
{{ render_upload_master_dialog('Product Codes', 'product_components') }}